Bug 1370128 - Review Request: mingw-mediawriter - Fedora Media Writer for Windows
Summary: Review Request: mingw-mediawriter - Fedora Media Writer for Windows
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1357424
TreeView+ depends on / blocked
 
Reported: 2016-08-25 11:38 UTC by Martin Bříza
Modified: 2016-09-06 18:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-06 18:23:12 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Martin Bříza 2016-08-25 11:38:46 UTC
Spec URL: https://mbriza.fedorapeople.org/mingw-mediawriter.spec
SRPM URL: https://mbriza.fedorapeople.org/mingw-mediawriter-0-1.1git19b13a8.fc24.src.rpm
Description: Windows version of the Fedora Media Writer - a tool to put Fedora live and other media on your portable drives such as flash disks.
Fedora Account System Username: mbriza

Comment 1 Igor Gnatenko 2016-09-01 10:43:52 UTC
* No known owner of /usr/i686-w64-mingw32/sys-root/mingw/libexec, /usr/x86_64-w64-mingw32/sys-root/mingw/libexec
Might be a bug in mingw* packaging.
* You can replace mediawriter by %{shortname} in %package, %files
* Is it really noarch?

> BuildRequires:  gettext
Isn't it enough to use mingwXY-gettext.

Comment 2 Martin Bříza 2016-09-01 11:11:40 UTC
(In reply to Igor Gnatenko from comment #1)
> * No known owner of /usr/i686-w64-mingw32/sys-root/mingw/libexec,
> /usr/x86_64-w64-mingw32/sys-root/mingw/libexec
> Might be a bug in mingw* packaging.

Possibly, the directory is used by other packages too.

> * You can replace mediawriter by %{shortname} in %package, %files

OK

> * Is it really noarch?

Yes, it is - the only arch-specific thing on mingw packages is the stuff that's in /usr/$arch-w64-mingw32/bin but anything in /usr/$arch-w64-mingw32/sys-root/mingw/ is noarch (because it's not intended to be run under Fedora).

> > BuildRequires:  gettext
> Isn't it enough to use mingwXY-gettext.

No. The tools in mingwXY-gettext are Windows binaries.

Comment 3 Gwyn Ciesla 2016-09-01 12:12:28 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mingw-mediawriter

Comment 4 Fedora Update System 2016-09-01 12:50:41 UTC
mingw-mediawriter-0-1.1git19b13a8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f07b20c277

Comment 5 Fedora Update System 2016-09-01 20:23:15 UTC
mingw-mediawriter-0-1.1git19b13a8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f07b20c277

Comment 6 Fedora Update System 2016-09-06 18:23:09 UTC
mingw-mediawriter-0-1.1git19b13a8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.